<?php

namespace App\Http\Middleware;

use App\Modules\User\Services\QappPackageService;
use Closure;
use Tymon\JWTAuth\Middleware\BaseMiddleware;

class QuickAppGetPackage extends BaseMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        // 获取头部信息
        $package     = $request->header('x-package', '');
        $channel_id = QappPackageService::getChannelId($package);
        if($channel_id > 0){
            return $next($request);
        }else{
            \Log::info('not_exists_package:'.$package. 'channel_id:'. $channel_id);
            return response()->error('QAPP_SYS_ERROR');
        }

    }
}
